complexType "EquityOptionTransactionSupplement"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 28 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, buyerPartyReference, buyerAccountReference?, sellerPartyReference, sellerAccountReference?, optionType, equityEffectiveDate?, underlyer, notional?, equityExercise, (feature?, fxFeature?)?, strategyFeature?, strike, spotPrice?, numberOfOptions, equityPremium, exchangeLookAlike?, exchangeTradedContractNearest?, (multipleExchangeIndexAnnexFallback | componentSecurityIndexAnnexFallback)?, methodOfAdjustment?, localJurisdiction?, (optionEntitlement | multiplier)?, extraordinaryEvents?
</...>

Content Model Elements (28):

  assetClass,
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  componentSecurityIndexAnnexFallback,
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  equityPremium (defined in EquityDerivativeShortFormBase complexType),
  exchangeLookAlike (in equityOptionTransactionSupplement),
  exchangeTradedContractNearest (in equityOptionTransactionSupplement),
  extraordinaryEvents (in equityOptionTransactionSupplement),
  feature (defined in Feature.model group),
  fxFeature (defined in Feature.model group),
  localJurisdiction (in equityOptionTransactionSupplement),
  methodOfAdjustment (in equityOptionTransactionSupplement),
  multipleExchangeIndexAnnexFallback,
  multiplier (in equityOptionTransactionSupplement),
  notional (defined in EquityDerivativeBase complexType),
  numberOfOptions (defined in EquityDerivativeShortFormBase complexType),
  optionEntitlement (in equityOptionTransactionSupplement),
  optionType (defined in EquityDerivativeBase complexType),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  spotPrice (defined in EquityDerivativeShortFormBase complexType),
  strategyFeature (defined in EquityDerivativeBase complexType),
  strike (defined in EquityDerivativeShortFormBase complexType),
  underlyer (defined in EquityDerivativeBase complexType)

All Direct / Indirect Based Elements (1):

  equityOptionTransactionSupplement

Known Usage Locations

- As direct type of elements (1):
  equityOptionTransactionSupplement

Annotation
A type for defining equity option transaction supplements.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase (extension) EquityDerivativeShortFormBase (extension) EquityOptionTransactionSupplement

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="EquityOptionTransactionSupplement"> <xsd:complexContent> <xsd:extension base="EquityDerivativeShortFormBase"> <xsd:sequence> <xsd:element minOccurs="0" name="exchangeLookAlike" type="xsd:boolean"/> <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="xsd:boolean"/> <xsd:group minOccurs="0" ref="IndexAnnexFallback.model"/> <xsd:element minOccurs="0" name="methodOfAdjustment" type="MethodOfAdjustmentEnum"/> <xsd:element minOccurs="0" name="localJurisdiction" type="CountryCode"/> <xsd:choice minOccurs="0"> <xsd:element name="optionEntitlement" type="PositiveDecimal"/> <xsd:element name="multiplier" type="PositiveDecimal"/> </xsd:choice> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/28)
exchangeLookAlike

  Type: | xsd:boolean, predefined, simple content

  For a share option transaction, a flag used to indicate whether the transaction is to be treated as an 'exchange look-alike'. This designation has significance for how share adjustments (arising from corporate actions) will be determined for the transaction. For an 'exchange look-alike' transaction the relevant share adjustments will follow that for a corresponding designated contract listed on the related exchange (referred to as Options Exchange Adjustment (ISDA defined term), otherwise the share adjustments will be determined by the calculation agent (referred to as Calculation Agent Adjustment (ISDA defined term)).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeLookAlike" type="xsd:boolean"/>

exchangeTradedContractNearest

  Type: | xsd:boolean, predefined, simple content

  For an index option transaction, a flag used in conjuction with Futures Price Valuation (ISDA defined term) to indicate whether the Nearest Index Contract provision is applicable. The Nearest Index Contract provision is a rule for determining the Exchange-traded Contract (ISDA defined term) without having to explicitly state the actual contract, delivery month and exchange on which it is traded.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="xsd:boolean"/>

extraordinaryEvents

  Type: | ExtraordinaryEvents, complex content

  A component to contain elements that represent an extraordinary event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/>

localJurisdiction

  Type: | CountryCode, simple content

  Local Jurisdiction is a term used in the AEJ Master Confirmation, which is used to determine local taxes, which shall mean taxes, duties, and similar charges imposed by the taxing authority of the Local Jurisdiction If this element is not present Local Jurisdiction is Not Applicable.
  Simple Content

  xsd:token

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="localJurisdiction" type="CountryCode"/>

methodOfAdjustment

  Type: | MethodOfAdjustmentEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationAgent" | - | The Calculation Agent has the right to adjust the terms of the trade following a corporate action. See: http://www.FpML.org
  "OptionsExchange" | - | The trade will be adjusted in accordance with any adjustment made by the exchange on which options on the underlying are listed. See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="methodOfAdjustment" type="MethodOfAdjustmentEnum"/>

multiplier

  Type: | PositiveDecimal, simple content

  Specifies the contract multiplier that can be associated with an index option.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="multiplier" type="PositiveDecimal"/>

optionEntitlement

  Type: | PositiveDecimal, simple content

  The number of shares per option comprised in the option transaction supplement.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="optionEntitlement" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.